Subject: Re: bug#23924: 25.1.50; Emacs NSInternalInconsistencyException on macos Sierra developer beta 2

From: Alan Third <[email-masked]>
Date: Sun, 10 Jul 2016 11:10:56 +0100

On Fri, Jul 08, 2016 at 05:20:37PM -0700, Bob Halley wrote:
> I don't have a firm recipe to reproduce. I do normal editing and
> then at some point emacs crashes, usually after file open / close /
> save, or Control-G.
> 
> This is the backtrace, which seems to be unhappy about
> "nextEventMatchingMask should only be called from the Main Thread".
> If there's anything else you'd like info on, or things you want me
> to try, let me know. I disabled all of my packages, so AFAIK this is
> a core emacs issue.

Hi Bob, thanks for reporting this.

I recently made a small change to input handling in the master branch
that may be related to this. Is there any chance you could give it a
go?
-- 
Alan Third